Credentials -client credentials
Create client credential
POST
/platform/clientauth/credentialsCreate a new client credential for the authenticated organization
Authorization
Bearer Authorization<token>
In: header
Request Body
requiredapplication/json{
"alg": "string",
"name": "string"
}alg?string
name*string
Response Body
200application/json
OK
type: object
client_secret?string
credential?object
alg?string
client_id?string
created_at?string
id?string
kid?string
last_used_at?string
name?string
status?string
curl -X POST "https://api.rixl.com/platform/clientauth/credentials" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'const body = JSON.stringify({
"name": "string"
})
fetch("https://api.rixl.com/platform/clientauth/credentials", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://api.rixl.com/platform/clientauth/credentials"
body := strings.NewReader(`{
"name": "string"
}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/platform/clientauth/credentials"
body = """{
"name": "string"
}"""
response = requests.request("POST", url, data = body, headers = {
"Content-Type": "application/json"
})
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
import java.net.http.HttpRequest.BodyPublishers;
var body = BodyPublishers.ofString("""{
"name": "string"
}""");
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/platform/clientauth/credentials"))
.header("Content-Type", "application/json")
.POST(body)
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var body = new StringContent("""
{
"name": "string"
}
""", Encoding.UTF8, "application/json");
var client = new HttpClient();
var response = await client.PostAsync("https://api.rixl.com/platform/clientauth/credentials", body);
var responseBody = await response.Content.ReadAsStringAsync();OK
application/json
{
"client_secret": "string",
"credential": {
"alg": "string",
"client_id": "string",
"created_at": "string",
"id": "string",
"kid": "string",
"last_used_at": "string",
"name": "string",
"status": "string"
}
}Revoke client credential POST
Revoke a client credential owned by the authenticated organization
Mint client access token POST
Exchange client_id/client_secret for a short-lived access token. The request subject is an opaque client-defined label and is not treated as authoritative user identity for authorization.